Opengram

Get instance configuration

GET
/api/v1/config

Authorization

bearerAuth
AuthorizationBearer <token>

Instance secret token

In: header

Response Body

application/json

application/json

application/json

application/json

application/json

curl -X GET "https://loading/api/v1/config"
{
  "appName": "string",
  "maxUploadBytes": 0,
  "allowedMimeTypes": [
    "string"
  ],
  "titleMaxChars": 0,
  "defaultModelIdForNewChats": "string",
  "agents": [
    {
      "id": "string",
      "name": "string",
      "description": "string",
      "avatarUrl": "string",
      "defaultModelId": "string",
      "property1": null,
      "property2": null
    }
  ],
  "models": [
    {
      "id": "string",
      "name": "string",
      "description": "string",
      "metadata": {
        "property1": "string",
        "property2": "string"
      },
      "property1": null,
      "property2": null
    }
  ],
  "push": {
    "enabled": true,
    "vapidPublicKey": "string",
    "subject": "string"
  },
  "security": {
    "instanceSecretEnabled": true,
    "readEndpointsRequireInstanceSecret": true
  },
  "server": {
    "publicBaseUrl": "string",
    "port": 0,
    "streamTimeoutSeconds": 0,
    "idempotencyTtlSeconds": 0,
    "dispatch": {
      "mode": "immediate",
      "batchDebounceMs": 0,
      "typingGraceMs": 0,
      "maxBatchWaitMs": 0,
      "schedulerTickMs": 0,
      "leaseMs": 0,
      "heartbeatIntervalMs": 0,
      "claimWaitMs": 0,
      "retryBaseMs": 0,
      "retryMaxMs": 0,
      "property1": null,
      "property2": null
    }
  },
  "hooks": [
    {
      "url": "string",
      "events": [
        "string"
      ],
      "timeoutMs": 0,
      "maxRetries": 0
    }
  ],
  "autoRename": {
    "enabled": true,
    "provider": "string",
    "modelId": "string",
    "hasApiKey": true
  },
  "autoRenameProviders": [
    {
      "id": "string",
      "name": "string",
      "envVar": "string",
      "hasEnvKey": true,
      "cheapModels": [
        {
          "id": "string",
          "label": "string"
        }
      ]
    }
  ]
}
{
  "error": {
    "code": "VALIDATION_ERROR",
    "message": "Invalid request.",
    "details": null
  }
}
{
  "error": {
    "code": "VALIDATION_ERROR",
    "message": "Invalid request.",
    "details": null
  }
}
{
  "error": {
    "code": "VALIDATION_ERROR",
    "message": "Invalid request.",
    "details": null
  }
}
{
  "error": {
    "code": "VALIDATION_ERROR",
    "message": "Invalid request.",
    "details": null
  }
}